io.undertow.server.handlers

## Class ConfiguredPushHandler

- java.lang.Object
- - io.undertow.server.handlers.ConfiguredPushHandler

All Implemented Interfaces:
  HttpHandler

    public class ConfiguredPushHandler
    extends Object
    implements HttpHandler

Handler that pushes resources based on a provided URL

Author:
  Stuart Douglas

### Constructor Summary

Constructors
Constructor and Description
`ConfiguredPushHandler(HttpHandler next)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ConfiguredPushHandler` `addRequestHeader(HttpString name, String value)`
`ConfiguredPushHandler` `addRoute(String url, String... resourcesToPush)`
`void` `handleRequest(HttpServerExchange exchange)` Handle the request.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConfiguredPushHandler

    public ConfiguredPushHandler(HttpHandler next)

### Method Detail

#### handleRequest

    public void handleRequest(HttpServerExchange exchange)
                       throws Exception

Description copied from interface: `HttpHandler`
Handle the request.

Specified by:
  `handleRequest` in interface `HttpHandler`
Parameters:
  `exchange` - the HTTP request/response exchange
Throws:
  `Exception`

#### addRequestHeader

    public ConfiguredPushHandler addRequestHeader(HttpString name,
                                                  String value)

#### addRoute

    public ConfiguredPushHandler addRoute(String url,
                                          String... resourcesToPush)